package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.Address;

import java.util.List;

public interface AddressDao extends BaseMapper<Address> {

	int deleteByPrimaryKey(Integer id);

    Address selectByPrimaryKey(Integer id);

    //更新默认地址
    int updateDefault(Address record);
    
    //带参分页查询
    List<Address> selectByParamPageList(Address address);

    //带参不分页查询
    List<Address> selectByParam(Address address);
    
}